Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: cgroup

Interfaces

### Description:

libcg is a library that abstracts the control group file system in Linux.

### Interfaces:

cgroup_admin( domain , role )

##### Summary

All of the rules required to administrate an cgroup environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

cgroup_domtrans_cgclear( domain )

##### Summary

Execute a domain transition to run CG Clear.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

cgroup_domtrans_cgconfig( domain )

##### Summary

Execute a domain transition to run CG config parser.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

cgroup_domtrans_cgred( domain )

##### Summary

Execute a domain transition to run CG rules engine daemon.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

cgroup_initrc_domtrans_cgconfig( domain )

##### Summary

Execute CG config init scripts in the init script domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

cgroup_initrc_domtrans_cgred( domain )

##### Summary

Execute a domain transition to run CG rules engine daemon. domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

cgroup_run_cgclear( domain , role )

##### Summary

Execute a domain transition to run CG Clear and allow the specified role the CG Clear domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

cgroup_stream_connect_cgred( domain )

##### Summary

Connect to CG rules engine daemon over unix stream sockets.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return